Package org.firebirdsql.gds.ng

## Class InfoTruncatedException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.sql.SQLException
      - - java.sql.SQLNonTransientException
        - - org.firebirdsql.gds.ng.InfoTruncatedException

All Implemented Interfaces:
  `java.io.Serializable`, `java.lang.Iterable<java.lang.Throwable>`

    public class InfoTruncatedException
    extends java.sql.SQLNonTransientException

Thrown to indicate that an info request buffer was truncated (`isc_info_truncated`).

Implementations of `InfoProcessor` may throw this exception if they cannot recover themselves from truncation. The length of the truncated buffer is reported in `length()`; this is the actual length, not the requested length.

This is a subclass of `SQLNonTransientException` as retrying the operation without taking corrective action will likely result in the same error.

Since:
  5.0.2
Author:
  Mark Rotteveel
See Also:
  Serialized Form

### Constructor Summary

Constructors
`InfoTruncatedException​(java.lang.String message, int length)`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `length()`

### Methods inherited from class java.sql.SQLException

`getErrorCode, getNextException, getSQLState, iterator, setNextException`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.lang.Iterable

`forEach, spliterator`

### Constructor Detail

#### InfoTruncatedException

    public InfoTruncatedException​(java.lang.String message,
                                  int length)

### Method Detail

#### length

    public final int length()